#define 	NUM_OVLY		3		// This constant defines the number of software overlays in the system

.section/dm	seg_data;

.var ov_stack[20];					// this is a software stack used to save & restore registers clobbered by the overlay manager
.global ov_stack;						// make it global so every module can see it

.var save_ax0 = 0x0000;			// variable used to context save & restore ax0 register before calling PLIT table
.var save_ay0 = 0x0000;			// variable used to context save & restore ay0 register before calling PLIT table
.global save_ax0;						// make it global
.global save_ay0;						// make it global

.var ovly_type;							// variable used by the overlay manager to determine whether the overlay to be loaded is for PM or DM (=1 for PM)
.global ovly_type;					// make it global

.var curr_PM_ovly_ID;				// variable used to store the ID# of the overlay that is to be loaded into internal memory
.global curr_PM_ovly_ID;		// make it global



//.var temp_ax0;
//.global temp_ax0;